*,
*::before,
*::after {
  box-sizing: border-box;
}
body {
  margin: 0.62rem;
  /* background-color: bisque; */
  font-family: sans-serif;
  height: 95vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  background: url(../images/bg.webp);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
}
main {
  width: 18rem;
  height: fit-content;
  /* background-color: #9bc45f; */
  margin-left: 3rem;
  background-color: #ffffff;

  display: flex;
  flex-direction: column;
  padding: 0 0.62rem;
  border-radius: 0.31rem;
  box-shadow: 0 0.2rem 1rem 1rem rgba(0, 0, 0, 0.3);
}
h2#mainHeading {
  text-align: center;
  margin: 1.24rem auto 1.24rem auto;
}
input#firstName,
input#lastName,
input#email,
input#password {
  display: block;
  padding: 0.62rem 0.62rem 0.62rem 35px;
  width: 100%;
  margin-bottom: 0.62rem;
  border: 0.016rem solid #767676;
  border-radius: 0.25rem;
}
div#genders,
select#country,
button#btnSignup {
  display: block;
  width: 100%;
  padding: 0.62rem;
  border-radius: 0.25rem;
  margin-bottom: 0.62rem;
}
button#btnSignup {
  background-color: #334960;
  color: #ffffff;
}
input#firstName,
input#lastName {
  background: url(../icons/user.svg);
  background-repeat: no-repeat;
  background-position: 0.62rem 50%;
  background-size: 1rem;
}
input#email {
  background: url(../icons/email.svg);
  background-repeat: no-repeat;
  background-position: 10px 50%;
  background-size: 1rem;
}
input#password {
  background: url(../icons/password.svg);
  background-repeat: no-repeat;
  background-position: 10px 50%;
  background-size: 1rem;
}
select#country {
  border: 0.016rem solid #767676;
  background-color: transparent;
}
@media screen and (max-width: 900px) {
  body {
    justify-content: center;
  }
  main {
    margin: 0;
  }
}
